/************************************************************************\
 * File Version Information
 * $Header: /Altair32v2/Gadgets.h 18    11/08/06 9:22p Racini $
 ************************************************************************/
/************************************************************************\
  MITS Altair Emulator
  Gadgets resource definitions
   
  Copyright (c) 2000-2006 Richard A. Cini


Change Log:
  2002/01/31  RAC -- RELEASE MARKER -- v2.2
  2002/08/23  RAC -- RELEASE MARKER -- v2.30.10
  2002/11/15  RAC -- RELEASE MARKER -- v2.40.2100
  2003/04/26  RAC -- RELEASE MARKER -- v2.50.2045
  2004/07/30  RAC -- RELEASE MARKER -- v3.00.0135
  2006/05/12  RAC -- RELEASE MARKER -- v3.10.0200
  2006/11/15  RAC -- RELEASE MARKER -- v3.20.0400
\************************************************************************/

#ifndef _GADGETS_H_
#define _GADGETS_H_

// Toolbar functions.
HWND InitToolBar (HWND hwndParent);
HWND RebuildToolBar (HWND hwndParent, WORD wFlag);
void ToolBarMessage (HWND hwndTB, WORD wMsg);
LRESULT ToolBarNotify (HWND hwnd, WPARAM wParam, LPARAM lParam);

// Tooltip functions.
BOOL InitToolTip (HWND hwndToolBar, HWND hwndComboBox);
BOOL RelayToolTipMessage (LPMSG pMsg);
void CopyToolTipText (LPTOOLTIPTEXT lpttt);

// Status bar functions.
HWND InitStatusBar (HWND hwndParent);
HWND RebuildStatusBar (HWND hwndParent, WORD wFlag);
void StatusBarMessage (HWND hwndSB, WORD wMsg);
LRESULT Statusbar_MenuSelect (HWND, WPARAM, LPARAM);

// Notification window functions.
HWND ViewNotificationsToggle (HWND hwnd);
void DisplayNotificationDetails (WPARAM wParam, LPARAM lParam);
void ClearNotificationList ();

#endif
/* end of file: gadgets.h */
